package str.classtree.classify;

import org.apache.bcel.generic.*;

public class FakeBranchTarget extends Instruction
{
  private int _count;

  public FakeBranchTarget(int count)
  {
    super((short) 1, (short) 1);
    _count = count;
  }

  public InstructionHandle getRealTarget(int pos, InstructionHandle[] handles)
  {
    return handles[pos + _count];
  }

  public void accept(org.apache.bcel.generic.Visitor visitor)
  {
    System.err.println("Don't visit me. I'm fake.");
    System.exit(1);
  }
}
